<?php

namespace Drupal\masquerade_nominate;

use Drupal\migrate\Event\MigrateImportEvent;
use Symfony\Component\EventDispatcher\EventSubscriberInterface;

/**
 * Because the transaction collection is also the field ui base route, and
 * because views provides a superior listing to the entity's official
 * list_builder, this alters that view's route to comply with the entity.
 */
class MigrationSubscriber implements EventSubscriberInterface {

  /**
   * {@inheritdoc}
   */
  public static function getSubscribedEvents() {
    return [
      'migrate.post_import' => [['migratePostImport']]
    ];
  }

  function migratePostImport(MigrateImportEvent $event) {
    $migration = $event->getMigration();
    if ($migration->id() = 'd7_user') {
      $source = $migration->getSourcePlugin();
    }

  }


}
